<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Partie</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Partie";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Partie.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Modificateur.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Partie.Etapes.html" title="enum in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Partie.html" target="_top">Frames</a></li>
<li><a href="Partie.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Partie" class="title">Class Partie</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Partie</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Partie</span>
extends java.lang.Object</pre>
<div class="block">Cette classe permet de gerer toutes les configurations d'une partie.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.Etapes.html" title="enum in back">Partie.Etapes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back">Partie.ReglesAdditionnelles</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.TypesPartie.html" title="enum in back">Partie.TypesPartie</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Partie.html#Partie-int-int-int-int-int-int-">Partie</a></span>(int&nbsp;argentD,
      int&nbsp;argentCD,
      int&nbsp;argentSCD,
      int&nbsp;taille,
      int&nbsp;tempsT,
      int&nbsp;tours)</code>
<div class="block">Constructeur de la partie avec l'instanciation des variables d'instance et 
 la liste des joueurs.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#ajouterRegle-back.Partie.ReglesAdditionnelles-">ajouterRegle</a></span>(<a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back">Partie.ReglesAdditionnelles</a>&nbsp;regle)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#ajouterUnJoueur-back.Joueur-">ajouterUnJoueur</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>
<div class="block">Permet d'ajouter un Joueur a l'ArrayList de Joueur.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#contientJoueur-back.Joueur-">contientJoueur</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>
<div class="block">Test l'existence d'un Joueur dans l'ArrayList de Joueur.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getArgentCaseDep--">getArgentCaseDep</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getArgentDep--">getArgentDep</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getArgentSurCaseDep--">getArgentSurCaseDep</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getDebutTour--">getDebutTour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getDuree--">getDuree</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../back/Partie.Etapes.html" title="enum in back">Partie.Etapes</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getEtape--">getEtape</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getLesJoueurs--">getLesJoueurs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>javafx.collections.ObservableList&lt;<a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getListeJoueurs--">getListeJoueurs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getNbTours--">getNbTours</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../back/Plateau.html" title="class in back">Plateau</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getPlateau--">getPlateau</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>javafx.collections.transformation.SortedList&lt;<a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getSortedListeJoueurs--">getSortedListeJoueurs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getTempsTour--">getTempsTour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../back/Partie.TypesPartie.html" title="enum in back">Partie.TypesPartie</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getTypePartie--">getTypePartie</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../view/GameView.html" title="class in view">GameView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#hasRegleAdd-back.Partie.ReglesAdditionnelles-">hasRegleAdd</a></span>(<a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back">Partie.ReglesAdditionnelles</a>&nbsp;regle)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#jouerEtape--">jouerEtape</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#retirerJoueur-back.Joueur-">retirerJoueur</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setArgentCaseDep-int-">setArgentCaseDep</a></span>(int&nbsp;argentCaseDep)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setArgentDep-int-">setArgentDep</a></span>(int&nbsp;argentDep)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setArgentSurCaseDep-int-">setArgentSurCaseDep</a></span>(int&nbsp;argentSurCaseDep)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setEtape-back.Partie.Etapes-">setEtape</a></span>(<a href="../back/Partie.Etapes.html" title="enum in back">Partie.Etapes</a>&nbsp;etape)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setLesJoueurs-java.util.ArrayList-">setLesJoueurs</a></span>(java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;&nbsp;lesJoueurs)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setNbTours-int-">setNbTours</a></span>(int&nbsp;nbTours)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setPlateau-back.Plateau-">setPlateau</a></span>(<a href="../back/Plateau.html" title="class in back">Plateau</a>&nbsp;plateau)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setTempsTour-int-">setTempsTour</a></span>(int&nbsp;tempsTour)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setTrieArgent--">setTrieArgent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setTrieCapital--">setTrieCapital</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setTriePropriete--">setTriePropriete</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setTypePartie-back.Partie.TypesPartie-">setTypePartie</a></span>(<a href="../back/Partie.TypesPartie.html" title="enum in back">Partie.TypesPartie</a>&nbsp;typePartie)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#setView-view.GameView-">setView</a></span>(<a href="../view/GameView.html" title="class in view">GameView</a>&nbsp;view)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Partie.html#updateClassement--">updateClassement</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Partie-int-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Partie</h4>
<pre>public&nbsp;Partie(int&nbsp;argentD,
              int&nbsp;argentCD,
              int&nbsp;argentSCD,
              int&nbsp;taille,
              int&nbsp;tempsT,
              int&nbsp;tours)</pre>
<div class="block">Constructeur de la partie avec l'instanciation des variables d'instance et 
 la liste des joueurs.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argentD</code> - l'argent qu'on a au début de la partie</dd>
<dd><code>argentCD</code> - l'argent que l'on touche quand on passe par la case départ</dd>
<dd><code>argentSCD</code> - l'argent que l'on touche quand on est sur la case départ</dd>
<dd><code>taille</code> - la taille du plateau choisi</dd>
<dd><code>tempsT</code> - le temps pour jouer un tour en secondes</dd>
<dd><code>tours</code> - le nombre de tours minimum</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasRegleAdd-back.Partie.ReglesAdditionnelles-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasRegleAdd</h4>
<pre>public&nbsp;boolean&nbsp;hasRegleAdd(<a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back">Partie.ReglesAdditionnelles</a>&nbsp;regle)</pre>
</li>
</ul>
<a name="ajouterRegle-back.Partie.ReglesAdditionnelles-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterRegle</h4>
<pre>public&nbsp;void&nbsp;ajouterRegle(<a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back">Partie.ReglesAdditionnelles</a>&nbsp;regle)</pre>
</li>
</ul>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../view/GameView.html" title="class in view">GameView</a>&nbsp;getView()</pre>
</li>
</ul>
<a name="setView-view.GameView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setView</h4>
<pre>public&nbsp;void&nbsp;setView(<a href="../view/GameView.html" title="class in view">GameView</a>&nbsp;view)</pre>
</li>
</ul>
<a name="getDuree--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDuree</h4>
<pre>public&nbsp;long&nbsp;getDuree()</pre>
</li>
</ul>
<a name="getTempsTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTempsTour</h4>
<pre>public&nbsp;int&nbsp;getTempsTour()</pre>
</li>
</ul>
<a name="setTempsTour-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTempsTour</h4>
<pre>public&nbsp;void&nbsp;setTempsTour(int&nbsp;tempsTour)</pre>
</li>
</ul>
<a name="getDebutTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebutTour</h4>
<pre>public&nbsp;long&nbsp;getDebutTour()</pre>
</li>
</ul>
<a name="getEtape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEtape</h4>
<pre>public&nbsp;<a href="../back/Partie.Etapes.html" title="enum in back">Partie.Etapes</a>&nbsp;getEtape()</pre>
</li>
</ul>
<a name="setEtape-back.Partie.Etapes-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEtape</h4>
<pre>public&nbsp;void&nbsp;setEtape(<a href="../back/Partie.Etapes.html" title="enum in back">Partie.Etapes</a>&nbsp;etape)</pre>
</li>
</ul>
<a name="getArgentDep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentDep</h4>
<pre>public&nbsp;int&nbsp;getArgentDep()</pre>
</li>
</ul>
<a name="setArgentDep-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentDep</h4>
<pre>public&nbsp;void&nbsp;setArgentDep(int&nbsp;argentDep)</pre>
</li>
</ul>
<a name="getArgentCaseDep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentCaseDep</h4>
<pre>public&nbsp;int&nbsp;getArgentCaseDep()</pre>
</li>
</ul>
<a name="setArgentCaseDep-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentCaseDep</h4>
<pre>public&nbsp;void&nbsp;setArgentCaseDep(int&nbsp;argentCaseDep)</pre>
</li>
</ul>
<a name="getArgentSurCaseDep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentSurCaseDep</h4>
<pre>public&nbsp;int&nbsp;getArgentSurCaseDep()</pre>
</li>
</ul>
<a name="setArgentSurCaseDep-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentSurCaseDep</h4>
<pre>public&nbsp;void&nbsp;setArgentSurCaseDep(int&nbsp;argentSurCaseDep)</pre>
</li>
</ul>
<a name="getNbTours--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbTours</h4>
<pre>public&nbsp;int&nbsp;getNbTours()</pre>
</li>
</ul>
<a name="setNbTours-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbTours</h4>
<pre>public&nbsp;void&nbsp;setNbTours(int&nbsp;nbTours)</pre>
</li>
</ul>
<a name="getTypePartie--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypePartie</h4>
<pre>public&nbsp;<a href="../back/Partie.TypesPartie.html" title="enum in back">Partie.TypesPartie</a>&nbsp;getTypePartie()</pre>
</li>
</ul>
<a name="setTypePartie-back.Partie.TypesPartie-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTypePartie</h4>
<pre>public&nbsp;void&nbsp;setTypePartie(<a href="../back/Partie.TypesPartie.html" title="enum in back">Partie.TypesPartie</a>&nbsp;typePartie)</pre>
</li>
</ul>
<a name="getLesJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLesJoueurs</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;&nbsp;getLesJoueurs()</pre>
</li>
</ul>
<a name="setLesJoueurs-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLesJoueurs</h4>
<pre>public&nbsp;void&nbsp;setLesJoueurs(java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;&nbsp;lesJoueurs)</pre>
</li>
</ul>
<a name="getPlateau--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlateau</h4>
<pre>public&nbsp;<a href="../back/Plateau.html" title="class in back">Plateau</a>&nbsp;getPlateau()</pre>
</li>
</ul>
<a name="setPlateau-back.Plateau-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlateau</h4>
<pre>public&nbsp;void&nbsp;setPlateau(<a href="../back/Plateau.html" title="class in back">Plateau</a>&nbsp;plateau)</pre>
</li>
</ul>
<a name="getListeJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListeJoueurs</h4>
<pre>public&nbsp;javafx.collections.ObservableList&lt;<a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a>&gt;&nbsp;getListeJoueurs()</pre>
</li>
</ul>
<a name="getSortedListeJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSortedListeJoueurs</h4>
<pre>public&nbsp;javafx.collections.transformation.SortedList&lt;<a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a>&gt;&nbsp;getSortedListeJoueurs()</pre>
</li>
</ul>
<a name="contientJoueur-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contientJoueur</h4>
<pre>public&nbsp;boolean&nbsp;contientJoueur(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</pre>
<div class="block">Test l'existence d'un Joueur dans l'ArrayList de Joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>joueur</code> - Joueur que l'on souhaite teste.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vrai si le client se trouve deja dans la liste, faux sinon.</dd>
</dl>
</li>
</ul>
<a name="ajouterUnJoueur-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUnJoueur</h4>
<pre>public&nbsp;void&nbsp;ajouterUnJoueur(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</pre>
<div class="block">Permet d'ajouter un Joueur a l'ArrayList de Joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>joueur</code> - Joueur que l'on souhaite ajouter.</dd>
</dl>
</li>
</ul>
<a name="retirerJoueur-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retirerJoueur</h4>
<pre>public&nbsp;void&nbsp;retirerJoueur(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
</li>
</ul>
<a name="jouerEtape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jouerEtape</h4>
<pre>public&nbsp;void&nbsp;jouerEtape()</pre>
</li>
</ul>
<a name="updateClassement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateClassement</h4>
<pre>public&nbsp;void&nbsp;updateClassement()</pre>
</li>
</ul>
<a name="setTrieArgent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrieArgent</h4>
<pre>public&nbsp;void&nbsp;setTrieArgent()</pre>
</li>
</ul>
<a name="setTriePropriete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTriePropriete</h4>
<pre>public&nbsp;void&nbsp;setTriePropriete()</pre>
</li>
</ul>
<a name="setTrieCapital--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTrieCapital</h4>
<pre>public&nbsp;void&nbsp;setTrieCapital()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Partie.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Modificateur.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Partie.Etapes.html" title="enum in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Partie.html" target="_top">Frames</a></li>
<li><a href="Partie.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
